$('html').bind('click', function(e) {
    if ($(event.target).hasClass("remodal-wrapper")) {
        $.each($(".remodal-overlay"), function() {
            $(this).css('display', 'none');
            $(this).next('.remodal-wrapper:first').css('display', 'none');
        });
    }
});

$(document).on('click', '.remodal-close, .remodal-cancel', function() {
    $(this).closest('.remodal-wrapper').css('display', 'none');
    $(this).closest('.remodal-wrapper').prev('.remodal-overlay:first').css('display', 'none');
});

$(document).on('click', 'table#grid tbody tr a.excluir', function() {
    $('.excluir-overlay').css('display', 'block');
    $('.excluir-wrapper').css('display', 'block');
    $('.excluir-wrapper button.remodal-confirm').data('id', $(this).data('id'));
    $('.excluir-wrapper button.remodal-confirm').data('modulo', $(this).data('modulo'));
});

$(document).on('click', 'div.tabelas > input.deletar', function() {
    var checkedValues = $('input[name="marcar[]"]:checked').map(function() {
        return this.value;
    }).get();

    if (checkedValues.length <= 0) {
        return false;
    }

    $('.excluir-overlay').css('display', 'block');
    $('.excluir-wrapper').css('display', 'block');

    $('.excluir-overlay').addClass('excluir-multiplo-overlay').removeClass('excluir-overlay');
    $('.excluir-wrapper').addClass('excluir-multiplo-wrapper').removeClass('excluir-wrapper');
});

$(document).on('click', '.excluir-multiplo-wrapper button.remodal-confirm', function() {
    var checkedValues = $('input[name="marcar[]"]:checked').map(function() {
        return this.value;
    }).get();

    if (checkedValues.length <= 0) {
        return false;
    }

    var modulo = $('table#grid tbody tr a.excluir').data('modulo');

    for (var i = 0; i < checkedValues.length; i++) {
        id = checkedValues[i];
        excluirModulo(modulo, id);
        $('table#grid tbody tr.registro-'+id).remove();
    }

    $('.excluir-multiplo-overlay').addClass('excluir-overlay').removeClass('excluir-multiplo-overlay');
    $('.excluir-multiplo-wrapper').addClass('excluir-wrapper').removeClass('excluir-multiplo-wrapper');
    $('.remodal-wrapper').css('display', 'none');
    $('.remodal-wrapper').prev('.remodal-overlay:first').css('display', 'none');
});

$(document).on('click', '.excluir-wrapper button.remodal-confirm', function() {
    var id = $(this).data('id');
    var modulo = $(this).data('modulo');

    $(this).data('id', null);
    $(this).data('modulo', null);

    excluirModulo(modulo, id);
    $('table#grid tbody tr.registro-'+id).remove();

    $(this).closest('.remodal-wrapper').css('display', 'none');
    $(this).closest('.remodal-wrapper').prev('.remodal-overlay:first').css('display', 'none');
});

function excluirModulo(modulo, id)
{
    $.post('modulos/'+modulo+'/processo.php?t=excluir&ajax=true', {id:id}, function(data) {
        if (data == 'erro') {
            notificacao('erro', 'Ops, ocorreu algum problema.');
        } else {
            notificacao('sucesso', 'Operação realizada com sucesso.');
        }
    });
}

